#include <stdio.h>
#include <notify.h>


#include "common.h"


bool isCapable (void)
{
   return (true);
}


bool isEnabled (void)
{
   FILE *fp;

   fp = fopen (SMBD_PIDFILE, "rb");
   if (fp != NULL)
   {
      fclose (fp);
      return (true);
   }

   return (false);
}


bool getStateFast (void)
{
   return (isEnabled ());
}


void setState (bool want_enable)
{
   if (want_enable)
      notify_post (NOTIFICATIONNAME_START);
   else
      notify_post (NOTIFICATIONNAME_STOP);

   return;
}


float getDelayTime (void)
{
   return (0.75f);
}
