#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <Preferences/PSListController.h>
#import <Preferences/PSSpecifier.h>
#include <notify.h>


@interface PCNetworking : PSListController
{
}

- (id) specifiers;
- (NSArray *) localizedSpecifiersForSpecifiers: (NSArray *) s;
- (id) navigationTitle;
- (id) getDaemonState: (PSSpecifier *) spec;
- (void) setDaemonState: (id) value forSpecifier: (PSSpecifier *) spec;
- (void) setConfigValue: (id) value forSpecifier: (PSSpecifier *) spec;
- (void) pushButton: (id) value forSpecifier: (PSSpecifier *) spec;

@end
